Package com.scriptel.proscript

## Class RegionLine

- java.lang.Object
- - com.scriptel.proscript.Region
  - - com.scriptel.proscript.RegionLine

-     public class RegionLine
      extends Region

  This class represents a line region in a ScripTouch device.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegionLine()` | Public constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `int` | `getLineReserved()` | Reserved for future use.
    `int` | `getParent()` | Gets the parent container of this line.
    `int` | `getWidth()` | Gets the width of this line.
    `int` | `hashCode()` |
    `void` | `setLineReserved​(int lineReserved)` | Reserved for future use.
    `void` | `setParent​(int lineParent)` | Sets the parent of this line.
    `void` | `setWidth​(int width)` | Sets the width of this line.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class com.scriptel.proscript.Region

      `acceptsTouch, getColorBackground, getColorForeground, getNumber, getOutputToHost, getReserved2, getX1, getX2, getY1, getY2, hasFrame, isDecode, isInUse, isReserved1, isVisible, setAcceptTouch, setColorBackground, setColorForeground, setDecode, setHasFrame, setInUse, setNumber, setOutputToHost, setReserved1, setReserved2, setVisible, setX1, setX2, setY1, setY2`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionLine

          public RegionLine()

      Public constructor

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `Region`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Region`

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `Region`
      Returns:
        Human readable string.

    - #### getParent

          public int getParent()

      Gets the parent container of this line.
      Returns:
        the lineParent

    - #### setParent

          public void setParent​(int lineParent)

      Sets the parent of this line.
      Parameters:
        `lineParent` - the parent to set

    - #### getWidth

          public int getWidth()

      Gets the width of this line.
      Returns:
        the width

    - #### setWidth

          public void setWidth​(int width)

      Sets the width of this line.
      Parameters:
        `width` - the width to set

    - #### getLineReserved

          public int getLineReserved()

      Reserved for future use.
      Returns:
        the lineReserved

    - #### setLineReserved

          public void setLineReserved​(int lineReserved)

      Reserved for future use.
      Parameters:
        `lineReserved` - the lineReserved to set